SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000767SiT!LDAPpublic2009-07-10 19:522009-08-16 14:40
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000767: remove $CONFIG['ldap_attr_map']
DescriptionWe still have $CONFIG['ldap_attr_map'] as its used t prevent changing certain attributes on user details etc we need to rework this to check if he constant is defined

This is more house keeping
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001277)
ivan (administrator)
2009-07-10 20:58

How will custom LDAP work without being able to specify the mapping manually?
User avatar (0001280)
paulh (administrator)
2009-07-11 12:00

At the moment you need to set the type as CUSTOM in the interface and then edit the else section of ldap.inc.php (lines 131 to 152) this really needs to move to the config centre though I wasn't sure how to optionally show things in there (I think we need to extend the CC first)
User avatar (0001289)
paulh (administrator)
2009-07-11 14:54

r5507 resolves this
User avatar (0001723)
ivan (administrator)
2009-08-16 14:40

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-07-10 19:52 paulh New Issue
2009-07-10 19:52 paulh Status new => assigned
2009-07-10 19:52 paulh Assigned To => paulh
2009-07-10 20:58 ivan Note Added: 0001277
2009-07-11 12:00 paulh Note Added: 0001280
2009-07-11 14:54 paulh Note Added: 0001289
2009-07-11 14:54 paulh Status assigned => resolved
2009-07-11 14:54 paulh Resolution open => fixed
2009-07-11 14:54 paulh Fixed in Version => Current SVN
2009-08-15 21:31 ivan Target Version => 3.50
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:40 ivan Note Added: 0001723
2009-08-16 14:40 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker